package wui

import (
	"testing"
)

type tester struct {
	t *testing.T
}

func TestWui(t *testing.T) {
	sf := &tester{
		t: t,
	}
	sf.get()
}

// Получает различные WUI-компоненты
func (sf *tester) get() {
	sf.t.Log("get")
	wCtx := GetWuiCtx()
	if wCtx == nil {
		sf.t.Fatalf("get(): IWuiCtx==nil")
	}
	wBtn := NewWuiButton("test_btn", sf.fnClick)
	if wBtn == nil {
		sf.t.Fatalf("get(): IWuiButton==nil")
	}
}

// Функция обратного вызова
func (sf *tester) fnClick(dict map[string]string) string {
	sf.t.Log("fnClick")
	return "test_click"
}
